/*
    Copyright (C) 2004 Dejvuth Suwimonteerabuth

    This file is part of jMoped.

    jMoped is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    jMoped is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with jMoped; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package jmoped;

/**
 * Constants used throughout jMoped.
 */
public class PDSConstant {

	public static final int DEFAULT_NUMBER_OF_BITS = 4;
	public static final int DEFAULT_FRAME_INDENT = 150;
	public static final int DEFAULT_SECOND_FRAME_INDENT = 200;
	
	public static final String 
		DEFAULT_JAVA_LIBRARY = "rt.jar";
		
	public static final String DEFAULT_CONTROL_LOCATION = "q";
	public static final String DEFAULT_EXCEPTION_CONTROL_LOCATION = "e";
		
	public static final String 
		DEFAULT_START_STACK_SYMBOL = "_main_Ljava_lang_String_V0";
		
	public static final String RETURN_VARIABLE = "ret";
	public static final String DEFAULT_ARRAY_NAME = "arr";
		
	public static final String 
		INIT_STATIC_METHOD_NAME = "__clinit__V";
	
	public static final String 
		JAVA_LANG_SYSTEM_OUT = "java/lang/System.out";
		
	public static final String 
		JAVA_LANG_SYSTEM_ERR = "java/lang/System.err";
		
	public static final String
		ASSERTIONS_DISABLED = "$assertionsDisabled";
		
	public static final String
		CLASS_DOLLARSIGN = "class$";
		
	public static final String
		ASSERTION_ERROR_INIT = "java_lang_AssertionError__init__V";
		
	public static final String
		ASSERTION_ERROR = "AssertionError0";
		
	public static final String RULE_ARROW = " --> ";
		
	public static final String ONE_TAB = "\t";
	public static final String THREE_TABS = "\t\t\t";
	public static final String FIVE_TABS = "\t\t\t\t\t";
	public static final String NEW_LINE = "\n";
	public static final String SEMICOLON = ";";
	public static final String ONE_SPACE = " ";
	public static final String LEFT_PARENTHESIS = "(";
	public static final String RIGHT_PARENTHESIS = ")";
	public static final String LEFT_BRACKET = "[";
	public static final String RIGHT_BRACKET = "]";
	public static final String COMMA = ",";
	public static final String DOT = ".";
	public static final String DOUBLE_QUOTE = "\"";
		
	public static final String[] NOT_TO_BE_INCLUDED_CLASS = {
		"java/lang/Object", 
		"java/lang/System", 
		"java/io/PrintStream", 
		"java/lang/Exception", 
		"java/lang/String", 
		"java/lang/Class", 
		"java/security/Permissions", 
		"java/lang/ThreadLocal", 
		"java/lang/StringBuffer", 
		"java/lang/CharacterDataLatin1", 
		"java/lang/AssertionError", 
		"java/lang/Error", 
		"java/lang/Throwable", 
		"java/lang/NoClassDefFoundError"
	};
	
	public static final String[] NOT_TO_BE_INCLUDED_METHOD = {
		"java_lang_Integer__clinit__V", 
		"java_lang_Integer_parseInt_Ljava_lang_String_I"
	};
	
	/*public static final String[] NOT_TO_BE_INCLUDED_FIELD = {
		"$assertionsDisabled"
		, "class$TestAssert1"
	};*/
								
	public static int verbose;

}
